Package org.springframework.cache.interceptor

# Class CacheOperationInvoker.ThrowableWrapper

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.cache.interceptor.CacheOperationInvoker.ThrowableWrapper

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  CacheOperationInvoker

public static class CacheOperationInvoker.ThrowableWrapper extends RuntimeException
Wrap any exception thrown while invoking `CacheOperationInvoker.invoke()`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ThrowableWrapper(Throwable original)`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getOriginal()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ThrowableWrapper

public ThrowableWrapper(Throwable original)

## Method Details

### getOriginal

public Throwable getOriginal()